lkml.org 
[lkml]   [2021]   [Dec]   [13]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
From
Subject[PATCH -next] selftests: gpio: gpio-sim: remove bashisms
Date
'==' is a bashisms and not understood by POSIX shell. Drop it from
gpio-sim selftests.

Signed-off-by: Bartosz Golaszewski <brgl@bgdev.pl>
---
I ran the newly applied patches on a different system and noticed the
tests now fail. I missed '==' operators for string comparison I used in
some places.

tools/testing/selftests/gpio/gpio-sim.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tools/testing/selftests/gpio/gpio-sim.sh b/tools/testing/selftests/gpio/gpio-sim.sh
index d335a975890c..c913d5aec768 100755
--- a/tools/testing/selftests/gpio/gpio-sim.sh
+++ b/tools/testing/selftests/gpio/gpio-sim.sh
@@ -23,12 +23,12 @@ remove_chip() {

for FILE in $CONFIGFS_DIR/$CHIP/*; do
BANK=`basename $FILE`
- if [ "$BANK" == "live" ] || [ "$BANK" == "dev_name" ]; then
+ if [ "$BANK" = "live" ] || [ "$BANK" = "dev_name" ]; then
continue
fi

LINES=`ls $CONFIGFS_DIR/$CHIP/$BANK/ | egrep ^line`
- if [ "$?" == 0 ]; then
+ if [ "$?" = 0 ]; then
for LINE in $LINES; do
if [ -e $CONFIGFS_DIR/$CHIP/$BANK/$LINE/hog ]; then
rmdir $CONFIGFS_DIR/$CHIP/$BANK/$LINE/hog || \
--
2.30.1
\
 
 \ /
  Last update: 2021-12-13 17:27    [W:2.173 / U:2.176 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site